public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/qwriter/
Date: Fri, 28 Aug 2015 02:27:42 +0000 (UTC)	[thread overview]
Message-ID: <1440728846.9c00412eb610b364c9d061c6147b7866e697786c.mrueg@gentoo> (raw)

commit:     9c00412eb610b364c9d061c6147b7866e697786c
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 28 02:27:26 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri Aug 28 02:27:26 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c00412e

app-editors/qwriter: EAPI bump

Package-Manager: portage-2.2.20.1

 app-editors/qwriter/qwriter-0.1.9-r1.ebuild | 48 +++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

diff --git a/app-editors/qwriter/qwriter-0.1.9-r1.ebuild b/app-editors/qwriter/qwriter-0.1.9-r1.ebuild
new file mode 100644
index 0000000..e61d588
--- /dev/null
+++ b/app-editors/qwriter/qwriter-0.1.9-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+LANGS="ru"
+
+inherit eutils qt4-r2
+
+MY_P="${P}-src"
+
+DESCRIPTION="Advanced text editor with syntax highlighting"
+HOMEPAGE="http://qt-apps.org/content/show.php/QWriter?content=106377"
+#upstream failed to provide a sane url
+SRC_URI="https://qwriter.googlecode.com/files/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-qt/qtgui:4
+	x11-libs/qscintilla"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+	sed -i "s:languages:/usr/share/${PN}/languages:" src/MainWindow.cpp \
+		|| die "failed to fix translation path"
+	# gcc-4.7. Bug #425252
+	epatch "${FILESDIR}"/${P}-gcc47.patch
+	qt4-r2_src_prepare
+}
+
+src_install() {
+	dobin bin/${PN}
+	newicon images/w.png ${PN}.png
+	make_desktop_entry ${PN} QWriter ${PN}
+	insinto /usr/share/${PN}/languages/
+	for x in ${LANGS};do
+		for j in ${LINGUAS};do
+			if [[ $x == $j ]]; then
+				doins languages/${PN}_$x.qm
+			fi
+		done
+	done
+}


             reply	other threads:[~2015-08-28  2:27 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-28  2:27 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-12-22 18:26 [gentoo-commits] repo/gentoo:master commit in: app-editors/qwriter/ David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1440728846.9c00412eb610b364c9d061c6147b7866e697786c.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox